﻿
@{
    ViewBag.Title = "TestVisulation";
   
}

<h2>TestVisulation</h2>

<script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
<div id="chart_div" style="width: 900px; height: 500px;"></div>

<script>
    google.charts.load('current', { 'packages': ['corechart'] });
    google.charts.setOnLoadCallback(drawVisualization);


    function drawVisualization()
    {
       
      

            dataTable = new google.visualization.DataTable();

            var newData = [['Month', 'Bolivia','Ecuador','Madagascar'],
              ['01', 1000, 400, 232],
              ['02', 1170, 460, 421],
              ['03', 660, 1120, 4324],
              ['04', 1030, 540, 4234],
              ['05', 1530, 50, 234]];

            // determine the number of rows and columns.
            var numRows = newData.length;
            var numCols = newData[0].length;

            // in this case the first column is of type 'string'.
            dataTable.addColumn('string', newData[0][0]);

            // all other columns are of type 'number'.
            for (var i = 1; i < numCols; i++)
                dataTable.addColumn('number', newData[0][i]);

            // now add the rows.
            for (var i = 1; i < numRows; i++)
                dataTable.addRow(newData[i]);

            // redraw the chart.
            //chart.draw(dataTable, options);

       



       
        $.ajax({
            url: '/Visulation/getData',
            datatype: "json",
            type: "get",
            contenttype: 'application/json; charset=utf-8',
            async: true,
            data: { },
            success: function (data) {
              
            },
            error: function (xhr) {
                alert(xhr.error);
            }
        });

        // Some raw data (not necessarily accurate)
        //var abc = google.visualization.arrayToDataTable([
        // ['Month', 'Bolivia', 'Ecuador', 'Madagascar', 'Papua New Guinea', 'Rwanda', 'Average'],
        // ['2004/05', 165, 938, 522, 998, 450, 614.6],
        // ['2005/06', 135, 1120, 599, 1268, 288, 682],
        // ['2006/07', 157, 1167, 587, 807, 397, 623],
        // ['2007/08', 139, 1110, 615, 968, 215, 609.4],
        // ['2008/09', 136, 691, 629, 1026, 366, 569.6]
        //]);
        //alert(JSON.stringify(abc));
       
        var options = {
            title: 'Monthly Coffee Production by Country',
            vAxis: { title: 'Cups' },
            hAxis: { title: 'Month' },
            seriesType: 'bars',
            series: { 5: { type: 'line' } }
        };

        var chart = new google.visualization.ComboChart(document.getElementById('chart_div'));
        chart.draw(dataTable, options);
    }
</script>